# ISdkParams

[**@blings/blings-player**](https://github.com/blingsio/docs/blob/main/player/documentation/README.md)

***

[@blings/blings-player](https://github.com/blingsio/docs/blob/main/player/documentation/globals.md) / ISdkParams

## Interface: ISdkParams

### Properties

#### data

> **data**: `any`

***

#### experiments?

> `optional` **experiments**: [`IExperiment`](/developers/interfaces/iexperiment.md)<[`ExperimentValues`](/developers/type-aliases/experimentvalues.md)>\[]

An array of all the experiments that this player should use. These have precedence over the experiments that are defined in the project

***

#### flowDiagram?

> `optional` **flowDiagram**: `IFlowDiagram`

***

#### polyfills?

> `optional` **polyfills**: `IPolyfills`

***

#### project

> **project**: [`IProjectFetchData`](/developers/interfaces/iprojectfetchdata.md) | `Omit`<`Omit`<`Omit`<`Omit`<[`IProjectServerData`](/developers/interfaces/iprojectserverdata.md), `"playerSettings"`>, `"flowDiagram"`>, `"overlay"`>, `"fontOverrides"`>

***

#### rest?

> `optional` **rest**: `Partial`<`IPlayerParams`>

extra things that Player can get For Blings developers only (not for external docs) (note: currently not deep clone, so make sure to not override other stuff

***

#### scenes?

> `optional` **scenes**: [`ISdkScene`](/developers/type-aliases/isdkscene.md)\[]

list of video-parts ("scenes") and their order that will be played

***

#### settings

> **settings**: [`ISdkSettings`](/developers/interfaces/isdksettings.md)

***

#### uid?

> `optional` **uid**: `string`

***

#### utmParams?

> `optional` **utmParams**: [`UtmType`](/developers/type-aliases/utmtype.md)

***

#### variantSelectionSet?

> `optional` **variantSelectionSet**: [`IVariantSelectionSet`](/developers/type-aliases/ivariantselectionset.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.blings.io/developers/interfaces/isdkparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
